org.apache.tomcat.util.net

## Class NioEndpoint.Acceptor

- java.lang.Object
- - org.apache.tomcat.util.net.AbstractEndpoint.Acceptor
  - - org.apache.tomcat.util.net.NioEndpoint.Acceptor

All Implemented Interfaces:
  Runnable

Enclosing class:
  NioEndpoint

    protected class NioEndpoint.Acceptor
    extends AbstractEndpoint.Acceptor

The background thread that listens for incoming TCP/IP connections and hands them off to an appropriate processor.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.tomcat.util.net.AbstractEndpoint.Acceptor

`AbstractEndpoint.Acceptor.AcceptorState`

### Field Summary

### Fields inherited from class org.apache.tomcat.util.net.AbstractEndpoint.Acceptor

`state`

### Constructor Summary

Constructors
`protected` `NioEndpoint.Acceptor()`

### Method Summary

Methods
`void` `run()`

### Methods inherited from class org.apache.tomcat.util.net.AbstractEndpoint.Acceptor

`getState, getThreadName, setThreadName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NioEndpoint.Acceptor

    protected NioEndpoint.Acceptor()

### Method Detail

#### run

    public void run()